Kerbal Space Program - Feature #1080

Time warp arrests spacecraft rotation
07/22/2013 09:35 PM - MrFailSauce

Status: New % Done: 0%
Severity: Normal

Assignee:

Category: Gameplay

Target version:

Platform: Any Mod Related: No
Expansion:

Description

What happens: A spacecraft with SAS disabled that is rotating in a non-spinning inertial reference frame(ie world coords) will
immediately stop rotation when time warp is turned on. When time-warp is reduced to 1x, rotation doesn't resume.

Reproduce: Launch craft into orbit. Start it spinning using torquers/rcs. Make sure SAS is OFF. Increase warp to 5x, decrease warp
to 1x. Spacecraft rotation is halted.

Notes:

*| can understand not wanting the spacecraft to be whipping around when in time warp, but it should resume prior spin rate when
time warp stops. Otherwise, it is basically impossible to do a spinning spacecraft (IRL a very common type of spacecraft) because
you have to another spin-up maneuver after each time warp.

*As an exploit, it operates as a "poor man's ASAS". With no equipped ASAS, | can halt spacecraft rotation by hitting "." then "," in
quick succession.

*When you add a more realistic thermal model, spinning spacecraft will be crucial, as a spacecraft spin is important for managing
spacecraft temperature.(By distributing the solar thermal load evenly across the spacecraft surface, like a rotisserie.)

History

#1 - 08/16/2013 09:11 AM - Ted
- Status changed from New to Not a Bug
- % Done changed from 0 to 100

Not a bug, more of a suggestion, time warp isn't meant to halt the rotation.

#2 - 08/16/2013 09:16 AM - Ted
- Status changed from Not a Bug to New

- % Done changed from 100 to 0

Durr, misread the header. Just a note, perhaps write the description as a Feature suggestion instead of a bug report.

#3 - 08/16/2013 09:16 AM - Ted
- Category set to Gameplay
